import java.io.*;
import java.util.zip.*;

public class ZIPEncode implements Codec {

  public void processTransformation(InputStream  in,
                                    OutputStream out) throws IOException {
    byte[]           buffer = new byte[1024];
    GZIPOutputStream zOut   = new GZIPOutputStream(out);
    int              gain;
 
    while ((gain=in.read(buffer)) > 0) {
      zOut.write(buffer, 0, gain);
    }
    zOut.close();
  }

}
