import java.io.*;

/**
 * Common interface for all stream encoding modules.
 */
public interface Codec {

  /**
   * Performs a transformation to the given input and writes the
   * corresponding output to the given stream.
   */
  public void processTransformation(InputStream  in,
                                    OutputStream out) throws IOException;

}
