import java.io.*;
import java.util.zip.*;

public class ZIPDecode implements Codec {

  public void processTransformation(InputStream  in,
                                    OutputStream out) throws IOException {
    byte[]          buffer = new byte[1024];
    GZIPInputStream zIn    = new GZIPInputStream(in);
    int             gain;
 
    while ((gain=zIn.read(buffer)) > 0) {
      out.write(buffer, 0, gain);
    }
    zIn.close();
  }

}
